/*
 * usart_ll.c
 *
 *  Created on: Dec 2, 2019
 *      Author: abody
 */

#include "usart_ll.h"

void MOCKABLE(LL_USART_EnableIT_IDLE)(USART_TypeDef *USARTx) {}
void MOCKABLE(LL_USART_EnableIT_TC)(USART_TypeDef *USARTx) {}
void MOCKABLE(LL_USART_DisableIT_TC)(USART_TypeDef *USARTx) {}
uint32_t MOCKABLE(LL_USART_IsEnabledIT_IDLE)(USART_TypeDef *USARTx) { return 1; }
uint32_t MOCKABLE(LL_USART_IsEnabledIT_TC)(USART_TypeDef *USARTx) { return 1; }

void MOCKABLE(LL_USART_EnableDMAReq_RX)(USART_TypeDef *USARTx) {}
void MOCKABLE(LL_USART_EnableDMAReq_TX)(USART_TypeDef *USARTx) {}

uint32_t MOCKABLE(LL_USART_DMA_GetRegAddr)(USART_TypeDef *USARTx) { return 0; }

uint32_t MOCKABLE(LL_USART_IsActiveFlag_IDLE)(USART_TypeDef *USARTx) { return 1; }
uint32_t MOCKABLE(LL_USART_IsActiveFlag_TC)(USART_TypeDef *USARTx) { return 1; }
void MOCKABLE(LL_USART_ClearFlag_ORE)(USART_TypeDef *USARTx) {}
void MOCKABLE(LL_USART_ClearFlag_IDLE)(USART_TypeDef *USARTx) {}

void MOCKABLE(LL_USART_EnableDirectionTx)(USART_TypeDef *USARTx) {}
void MOCKABLE(LL_USART_DisableDirectionTx)(USART_TypeDef *USARTx) {}
